> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turncall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Knowledge Base

> Create a new knowledge base.



## OpenAPI

````yaml /openapi.json post /v1/knowledge-bases
openapi: 3.1.0
info:
  title: TurnCall
  description: Production voice agent platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/knowledge-bases:
    post:
      tags:
        - knowledge-bases
      summary: Create Knowledge Base
      description: Create a new knowledge base.
      operationId: create_knowledge_base_v1_knowledge_bases_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateKnowledgeBaseRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Create Knowledge Base V1 Knowledge Bases Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateKnowledgeBaseRequest:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Description
        embedding_model:
          type: string
          maxLength: 100
          title: Embedding Model
          default: text-embedding-3-small
        chunk_size:
          type: integer
          maximum: 4096
          minimum: 64
          title: Chunk Size
          default: 512
        chunk_overlap:
          type: integer
          maximum: 512
          minimum: 0
          title: Chunk Overlap
          default: 64
      type: object
      required:
        - name
      title: CreateKnowledgeBaseRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````